Batch update transactions
curl --request PATCH \
--url https://api.breezing.io/v1/transactions \
--header 'Content-Type: application/json' \
--data '
{
"ids": [
123
],
"updates": {
"account": "<string>",
"assetAccount": "<string>",
"feeAssetAccount": "<string>",
"type": "<string>",
"note": "<string>",
"accountingDescription": "<string>",
"vat": "<string>",
"isSpam": true,
"extraLabel": "<string>",
"skipNgl": true,
"skipNglReason": "<string>",
"qboClass": "<string>",
"xeroTrackingCategory": "<string>"
}
}
'import requests
url = "https://api.breezing.io/v1/transactions"
payload = {
"ids": [123],
"updates": {
"account": "<string>",
"assetAccount": "<string>",
"feeAssetAccount": "<string>",
"type": "<string>",
"note": "<string>",
"accountingDescription": "<string>",
"vat": "<string>",
"isSpam": True,
"extraLabel": "<string>",
"skipNgl": True,
"skipNglReason": "<string>",
"qboClass": "<string>",
"xeroTrackingCategory": "<string>"
}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
ids: [123],
updates: {
account: '<string>',
assetAccount: '<string>',
feeAssetAccount: '<string>',
type: '<string>',
note: '<string>',
accountingDescription: '<string>',
vat: '<string>',
isSpam: true,
extraLabel: '<string>',
skipNgl: true,
skipNglReason: '<string>',
qboClass: '<string>',
xeroTrackingCategory: '<string>'
}
})
};
fetch('https://api.breezing.io/v1/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"updated": 123,
"dedupedFrom": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Transactions
Batch Update Transactions API
Update Breezing transactions in bulk with one API request to apply accounting field changes across unlocked crypto accounting records.
PATCH
/
transactions
Batch update transactions
Query Parameters
Organization ID. Use GET /v1/companies to discover available org/company pairs.
Example:
"1"
Company ID. Use GET /v1/companies to discover available companies and their access levels.
Example:
"1"
Body
application/json
Last modified on April 11, 2026
⌘I